Check if the connection is established.

- « Swoole\Client::getsockname

- Swoole\Client::on »

- PHP Manual
- Swoole\Client
- Check if the connection is established.

# Swoole\Client::isConnected

(PECL swoole >= 1.9.0)

Swoole\Client::isConnected — Check if the connection is established.

### Description

public Swoole\Client::isConnected(): bool

This method returns the connection status of application layer.

### Parameters

This function has no parameters.

### Return Values

Whether the connection is established.